-- binding labels
BINDING_HEADER_PETINFOHEADER = 'PetInfoFu'
BINDING_NAME_PETINFONAME     = 'Trainiert Euren Begleiter'

local AceLocale = AceLibrary("AceLocale-2.2"):new("PetInfoFu")

AceLocale:RegisterTranslations("deDE", function() 
    return {
		["NAME"] = "PetInfoFu",
		["DESCRIPTION"] = "Begleiter-Informations-Fenster.",
		["CMD_OPTIONS"] = {"/pifu", "/petinfofu"},
        
        -- tool tips
		["TOOLTIP_TITLE"] = "|cffffffffPetInfo|r|cff00ff00Fu|r",
		["TOOLTIP_HINT_TEXT"] = "|cffeda55fKlick|r um Eueren Begleiter zu trainieren.",
        
		["PI_TOOLTIP_HINT"] = "Pet Info.",
		["PI_TOOLTIP_HINT_HUNTER"] = "Pet Info. |cffeda55fKlick|r um Eueren Begleiter zu trainieren.\n|cffeda55fCtrl-Klick|r f\195\188r Reset des Xp-Timers.",                      
		
        -- format strings
		["PI_FORMAT"] = "%d",
        ["PI_FORMAT_HAPPINESS"] = " (%d)",
		["PI_PLUS_PERCENT_FORMAT"] = "%d (%.1f%%)",
		["PI_AS_FORMAT"] = "%.2f",
		["PI_DPS_FORMAT"] = "%.1f",
        ["PI_PERCENT_FORMAT"] = "%.1f%%",
        ["PI_TIME_FORMAT"] = "%02d:%02d",

        -- unknown entity
        ["UO"] = true,
        
        -- labels ["PI_PETINFO"] = "Begleiter:", 
        ["PI_PETNAME"] = "Name:", 
        ["PI_PETLEVEL"] = "Level:",
        
        -- categories
        ["CATEGORY_PET_INFO"] = "Begleiter-Info",
        ["CATEGORY_PET_COMBAT_INFO"] = "Begleiter-Kampf-Info",
        ["CATEGORY_PET_ATTRIBUTES"] = "Begleiter-Attribute",
        ["CATEGORY_PET_STABLED"] = "Begleiter im Stall",
        ["CATEGORY_PET_HISTORY"] = "Geschichte des Begleiters",        
        ["CATEGORY_DEMONIC_KNOWLEDGE"] = "D\195\164monisches Wissen",
        ["CATEGORY_PET_SKILLS"] = "Begleiter-F\195\164higkeiten",
        ["CATEGORY_PET_NETHER"] = "D\195\164monen im Nether",
        
        -- hunter labels
		["PI_TYPE"] = "Typus:",
		["PI_NOPET"] = "Kein Begleiter",
		["PI_FOOD"] = "Frisst:",
		["PI_LOYALTY"] = "Loyalit\195\164t:",
		["PI_HAPPINESS"] = "Zufriedenheit:",
		["PI_DAMAGEPERCT"] = "Schaden in Prozent:",
		["PI_LOYALTYRATE"] = "Loyalit\195\164tsrate:",
		["PI_TRAINING_POINTS"] = "Trainingspunkte:",
		["PI_ARMOR_CLASS"] = "R\195\188stung:",
		["PI_ATTACK_SPEED"] = "Angrifsgeschwindigkeit:",
        ["PI_ATTACK_SKILL"] = "Angriffsskill:",
		["PI_ATTACK_POWER"] = "Angriffskraft:",
		["PI_DPS_LISTED"] = "Aufgerechnete DPS:",
		["PI_CURRENT_XP"] = "Momentane XP:",
		["PI_NEEDED_XP"] = "N\195\182tige XP:",
		["PI_TOTAL_XP"] = "Ben\195\182tigte XP:",
		["PI_NOLEVEL"] = "Erh\195\164lt keine weiteren XP aufgrund Stufenbeschr\195\164nkung",
        ["To go: "] = "Verbleibend: ",
        
        -- warlock labels
        ["PI_NODEMON"] = "Kein D\195\164mon",
        ["PI_NOTALENT"] = "Euch fehlt das Talent f\195\188r ",
        ["PI_BONUSDAMAGE"] = "Bonus-Schaden:",

        -- attribute names
        ["SPELL_STAT0_NAME"] = "St\195\164rke:",
        ["SPELL_STAT1_NAME"] = "Beweglichkeit:",
        ["SPELL_STAT2_NAME"] = "Ausdauer:",
        ["SPELL_STAT3_NAME"] = "Intelligenz:",
        ["SPELL_STAT4_NAME"] = "Weisheit:",
        
        -- happiness values
        ["Unhappy"] = "Ungl\195\188cklich",
		["Content"] = "Gleichbleibend",
		["Happy"] = "Gl\195\188cklich",        
		["Gaining Loyalty"] = "Steigert Loyalit\195\164t",
		["Losing Loyalty"] = "Verliert Loyalit\195\164t",
        
        -- menus
		["Show pet's name"] = "Name des Begleiters anzeigen",
		["Show pet's level"] = "Stufe des Begleiters anzeigen",
        ["Show experience"] = "Erfahrungspunkte anzeigen",                     -- hunter
        ["By amount"] = "Anzahl",                           -- hunter
        ["By kill"] = "Durch T\195\182tungen",                             -- hunter
        ["By percentage"] = "Durch Prozent",                       -- hunter
        ["By time"] = "Durch Zeit",                             -- hunter
        ["Reset timer"] = "Timer resetten",                         -- hunter
        ["Show on bar"] = "Auf Leiste anzeigen",                         -- hunter
        ["Play sound"] = "Klang abspielen",                          -- hunter
        ["On TP gain"] = "Bei Trainigspunkte-Erhalt",                          -- hunter
        ["On new skill available"] = "Wenn neue Fertigkeit zur Verf\195\188gung steht",              -- hunter
        ["On Happiness level change"] = "Wenn sich der Gem\195\188tszustand \195\164ndert",           -- hunter
        ["Show pet's attributes"] = "Attribute des Begleiters anzeigen",
        ["Show pet's combat statistics"] = "Kampfstatistik des Begleiters anzeigen",        
        ["Show pet's skills"] = "Fertigkeiten des Begleiters anzeigen",
        ["MapNotes"] = "Kartenmarkierungen",                            -- hunter
        ["Enable Stable mapnotes"] = "Kartenmarkierungen f\195\188r Stallmeister anzeigen",              -- hunter
        ["Show stabled pets"] = "Begleiter beim Stallmeister anzeigen",                   -- hunter
        ["Show loyalty"] = "Zufriedenheit anzeigen",                        -- hunter
        ["Track pet history"] = true,                   -- hunter
        ["Track pet happiness"] = true,                 -- hunter
        ["Show Mend Pet Frame"] = true,                 -- hunter
        ["Show nethered demons"] = true,                -- warlock        
                
        -- other
        ["Please visit a stable to initialise."] = "Bitte einen Stallmeister f\195\188r Initialisierung besuchen.",
        [" can learn a new skill."] = " kann eine neue Fertigkeit erlernen.",
        [" has gained Training Points."] = " hat Trainingspunkte erhalten.",
        ["Stable"] = "Stallmeister",
        ["NA"] = "NA",
        ["1D+"] = true,                       
        -- happiness tracking
        ["Happiness"] = "Zufriedenheit",
        
        -- warlock pets
        ["Imp"] = "Wichtel",
        ["Felguard"] = "Teufelswache",
        ["Felhunter"] = "Teufelsj\195\164ger",
        ["Succubus"] = "Sukkubus",
        ["Voidwalker"] = "Leerwandler",
        ["Infernal"] = "H\195\182llenbestie",
     }

end)
